index | modules | gitlab | page source

# Separation of structures

ase.build.connected_indices(atoms, index, dmax=None, scale=1.5)

  Find atoms connected to atoms[index] and return their indices.

  If dmax is not None: Atoms are defined to be connected if they are nearer than dmax to each other.

  If dmax is None: Atoms are defined to be connected if they are nearer than the sum of their covalent radii * scale to each other.

ase.build.connected_atoms(atoms, index, dmax=None, scale=1.5)

  Find all atoms connected to atoms[index] and return them.

ase.build.separate(atoms, **kwargs)

  Split atoms into separated entities

  Returns:

    List of Atoms object that connected_indices calls connected.

ase.build.split_bond(atoms, index1, index2, **kwargs)

  Split atoms by a bond specified by indices

  index1: index of first atom index2: index of second atom kwargs: kwargs transferred to connected_atoms

  Returns two Atoms objects